package samples.files;


import com.asperasoft.faspmanager.StreamReadBlock;
import com.asperasoft.faspmanager.StreamReader;

/**
 * Created by mflathers on 6/14/16.
 */

public class MyStreamReader implements StreamReader {

    private int readsPerformed = 0;

    public StreamReadBlock read() {
        StreamReadBlock streamReadBlock = new StreamReadBlock();

        if (readsPerformed > 0) {

            // Indicate EOF after the first read
            streamReadBlock.setLength(-1);
            return streamReadBlock;
        }

        // Read from the stream source
        String dataToWrite = "Hello World";

        // Fill in buffer
        streamReadBlock.setBuffer(dataToWrite.getBytes());

        // Set the Length
        streamReadBlock.setLength(dataToWrite.length());

        // Set the position to write to at the destination
        // -1 means write to the end of the file
        streamReadBlock.setPosition(-1);

        //Return the StreamReadBlock
        readsPerformed++;
        return streamReadBlock;
    }
}