package samples.files;

import java.io.IOException;
import java.io.InputStream;
import java.net.Socket;

/**
 * Created by mflathers on 6/15/16.
 */
public class MyTCPSocketReader {

    String host;
    int port;

    public MyTCPSocketReader(String host, int port) {
        this.host = host;
        this.port = port;
    }

    public InputStream connect() {
        try {
            Socket tcpSocket = new Socket(host, port);
            return tcpSocket.getInputStream();
        }
        catch (IOException ex) {
            ex.printStackTrace();
        }
        return null;
    }
}
